## ros-indigo-geometry-tutorials 0.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(geometry_tutorials)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-geometry-tutorials (0.2.2-0trusty) trusty; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 03 Mar 2015 08:00:00 -0000

ros-indigo-geometry-tutorials (0.2.1-0trusty) trusty; urgency=high

  * Added new tutorial for tf2
  * Contributors: Denis Štogl

 -- William Woodall <william@osrfoundation.org>  Wed, 17 Dec 2014 08:00:00 -0000

ros-indigo-geometry-tutorials (0.2.0-0trusty) trusty; urgency=high

  * Cleaned up build system and package.xml
  * geometry_tutorials) Catkinized. Added metapackage.
  * Contributors: Isaac Saito, William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 28 Jun 2013 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-geometry-tutorials
Section: misc
Priority: extra
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://www.ros.org/wiki/geometry_tutorials
Standards-Version: 3.9.2

Package: ros-indigo-geometry-tutorials
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-turtle-tf, ros-indigo-turtle-tf2
Description: Metapackage of geometry tutorials ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-geometry-tutorials//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
